Create an offer
Creates a new offer and returns the created object.
Body·
required
application/json
Offer payload when creating an offer.
- typeDiscriminatorType: stringenumrequired
The offer type.
values- banner
- sale
- infoType: string
_link max length:1000Pattern: ^https?://requiredURL the recipient is redirected to when clicking the offer.
- mediaType: object ·required
- offerType: string
_id max length:30Pattern: ^[A-Za-z0-9]+$requiredIdentifier for the offer. Case-insensitive, must be unique and non-blank. Allowed characters: alphanumeric.
- textType: stringmax length:1000required
Body text shown in both banner and sale offers.
- titleType: stringmax length:200required
Short title shown in both banner and sale offers.
- linkType: string
_text Link label shown together with the offer, if provided.
Note: This field may be returned if provided, but is currently not used by the product/UI.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/offer
curl https://sandbox.billogram.com/api/v2/offer \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic username:password' \
--data '{
"offer_id": "banner001",
"type": "banner",
"title": "Summer sale!",
"text": "30% on everything at Mike'\''s Bike until September.",
"info_link": "http://example.com/",
"media": {
"picture": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg==",
"picture_type": "image/png"
}
}'
{
"status": "OK",
"data": {
"offer_id": "banner001",
"type": "banner",
"title": "string",
"text": "string",
"media": {
"picture": "string",
"picture_type": "image/png"
},
"link_text": "string",
"created_at": "2026-04-29T11:19:15.647Z",
"updated_at": "2026-04-29T11:19:15.647Z",
"info_link": "string"
}
}